Package org.springframework.web.multipart.support

# Class MissingServletRequestPartException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.multipart.support.MissingServletRequestPartException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class MissingServletRequestPartException extends ServletException implements ErrorResponse
Signals the part of a "multipart/form-data" request, identified by name could not be found. This may be because the request is not a multipart request, or a part with that name is not present, or because the application is not configured correctly for processing multipart requests, for example, there is no `MultipartResolver`.

Note: This exception does not extend from `ServletRequestBindingException` because it can also be raised at a lower level, i.e. from this package which does low level multipart request parsing, independent of higher level request binding features.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`MissingServletRequestPartException(String requestPartName)`
Constructor for MissingServletRequestPartException.

## Method Summary

Modifier and Type
Method
Description
`ProblemDetail`
`getBody()`
Return the body for the response, formatted as an RFC 9457 `ProblemDetail` whose `status` should match the response status.
`Object[]`
`getDetailMessageArguments()`
Return arguments to use along with a `message code` to resolve the problem "detail" for this exception through a `MessageSource`.
`String`
`getRequestPartName()`
Return the name of the offending part of the multipart request.
`HttpStatusCode`
`getStatusCode()`
Return the HTTP status code to use for the response.

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getDetailMessageCode, getHeaders, getTitleMessageCode, getTypeMessageCode, updateAndGetBody`

## Constructor Details

### MissingServletRequestPartException

public MissingServletRequestPartException(String requestPartName)
Constructor for MissingServletRequestPartException.

Parameters:
  `requestPartName` - the name of the missing part of the multipart request

## Method Details

### getRequestPartName

public String getRequestPartName()
Return the name of the offending part of the multipart request.

### getStatusCode

public HttpStatusCode getStatusCode()
Return the HTTP status code to use for the response.

Specified by:
  `getStatusCode` in interface `ErrorResponse`

### getBody

public ProblemDetail getBody()
Return the body for the response, formatted as an RFC 9457 `ProblemDetail` whose `status` should match the response status.

Specified by:
  `getBody` in interface `ErrorResponse`

### getDetailMessageArguments

public Object[] getDetailMessageArguments()
Description copied from interface: `ErrorResponse`
Return arguments to use along with a `message code` to resolve the problem "detail" for this exception through a `MessageSource`. The arguments are expanded into placeholders of the message value, for example, "Invalid content type {0}".

Specified by:
  `getDetailMessageArguments` in interface `ErrorResponse`